import 'package:flutter/material.dart';
import 'package:feet/pages/login.dart';
import '../api/api.dart';

class LoginPrompt extends StatelessWidget {
  final FeverAPI api;
  const LoginPrompt({ super.key, required this.api });

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        const Text('Please log in'),
        const SizedBox(height: 8),
        ElevatedButton(
          onPressed: () {
            Navigator.push(context, MaterialPageRoute(builder: (context) => LoginPage(api: api)));
          },
          child: const Text('Log in'),
        ),
        const SizedBox(height: 80),
      ],
    );
  }
}